> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.kollo.ng/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.kollo.ng/_mcp/server.

# Get Withdrawals

GET https://rotating_groups/%7Bgroup_id%7D/withdrawals

Reference: https://docs.kollo.ng/kollo-ap-is/rotating-groups/contributions-withdrawals/get-withdrawals

## Authentication

- `Authorization` header (bearer token, required)

## Request

### Query parameters

- `cycle` (string, optional) — the contribution cycle to fetch

## Response

### 200

OK

- `message` (string, required)
- `body` (object, required)
  - `withdrawals` (list of object, required)
    - `withdrawalId` (string, required)
    - `amount` (string, required)
    - `position` (integer, required)
    - `status` (string, required)
    - `withdrawalDate` (datetime, required)
    - `failedReason` (string, required)
    - `groupId` (string, required)
    - `membershipId` (string, required)
    - `createdAt` (datetime, required)
    - `updatedAt` (datetime, required)
    - `membership` (object, required)
      - `customerId` (string, required)
      - `groupId` (string, required)
      - `status` (string, required)
      - `membershipId` (string, required)
      - `customer` (object, required)
        - `customerId` (string, required)
        - `firstName` (string, required)
        - `lastName` (string, required)
        - `onboardingStage` (string, required)
        - `fullName` (string, required)
        - `name` (string, required)
        - `avatar` (string, required)
        - `isSuspended` (boolean, required)
    - `member` (object, required)
      - `customerId` (string, required)
      - `firstName` (string, required)
      - `lastName` (string, required)
      - `onboardingStage` (string, required)
      - `fullName` (string, required)
      - `name` (string, required)
      - `avatar` (string, required)
      - `isSuspended` (boolean, required)
    - `transactionId` (any, optional, nullable)

## Examples

**Response**

```json
{
  "message": "Withdrawals fetched successfully",
  "body": {
    "withdrawals": [
      {
        "withdrawalId": "9bed8ac4-38bb-48c7-af0c-1d2144392dad",
        "amount": "300000",
        "position": 1,
        "status": "failed",
        "withdrawalDate": "2025-11-08T23:59:59Z",
        "failedReason": "Incomplete contributions. Will retry later",
        "groupId": "46655746-a640-478f-9e35-50194786c629",
        "membershipId": "ae7b83e7-eb4d-4a2e-b17e-37e7368cfe6d",
        "createdAt": "2025-11-08T16:53:53Z",
        "updatedAt": "2025-11-09T00:00:00Z",
        "membership": {
          "customerId": "cad93347-d28d-49bc-8960-1c326ad9832e",
          "groupId": "46655746-a640-478f-9e35-50194786c629",
          "status": "active",
          "membershipId": "ae7b83e7-eb4d-4a2e-b17e-37e7368cfe6d",
          "customer": {
            "customerId": "cad93347-d28d-49bc-8960-1c326ad9832e",
            "firstName": "Rasheed",
            "lastName": "Rahman",
            "onboardingStage": "verify_email",
            "fullName": "Rasheed Rahman",
            "name": "Rasheed",
            "avatar": "https://ui-avatars.com/api/?name=Rasheed+Rahman&background=random",
            "isSuspended": false
          }
        },
        "member": {
          "customerId": "cad93347-d28d-49bc-8960-1c326ad9832e",
          "firstName": "Rasheed",
          "lastName": "Rahman",
          "onboardingStage": "verify_email",
          "fullName": "Rasheed Rahman",
          "name": "Rasheed",
          "avatar": "https://ui-avatars.com/api/?name=Rasheed+Rahman&background=random",
          "isSuspended": false
        }
      },
      {
        "withdrawalId": "654a8d57-69f5-4bd6-8f5e-07626e01d468",
        "amount": "300000",
        "position": 2,
        "status": "scheduled",
        "withdrawalDate": "2025-12-08T23:59:59Z",
        "failedReason": "failedReason",
        "groupId": "46655746-a640-478f-9e35-50194786c629",
        "membershipId": "4a05005e-853b-4fd2-9f64-d634d9271bb0",
        "createdAt": "2025-11-08T16:53:53Z",
        "updatedAt": "2025-11-08T16:53:53Z",
        "membership": {
          "customerId": "6bddd666-c059-4b01-b171-54ced176e61a",
          "groupId": "46655746-a640-478f-9e35-50194786c629",
          "status": "active",
          "membershipId": "4a05005e-853b-4fd2-9f64-d634d9271bb0",
          "customer": {
            "customerId": "6bddd666-c059-4b01-b171-54ced176e61a",
            "firstName": "Dolapo",
            "lastName": "Daranijo",
            "onboardingStage": "verify_email",
            "fullName": "Dolapo Daranijo",
            "name": "Dolapo",
            "avatar": "https://ui-avatars.com/api/?name=Dolapo+Daranijo&background=random",
            "isSuspended": false
          }
        },
        "member": {
          "customerId": "6bddd666-c059-4b01-b171-54ced176e61a",
          "firstName": "Dolapo",
          "lastName": "Daranijo",
          "onboardingStage": "verify_email",
          "fullName": "Dolapo Daranijo",
          "name": "Dolapo",
          "avatar": "https://ui-avatars.com/api/?name=Dolapo+Daranijo&background=random",
          "isSuspended": false
        }
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://https/rotating_groups/%7Bgroup_id%7D/withdrawals"

querystring = {"cycle":"upcoming"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://https/rotating_groups/%7Bgroup_id%7D/withdrawals?cycle=upcoming';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://https/rotating_groups/%7Bgroup_id%7D/withdrawals?cycle=upcoming"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://https/rotating_groups/%7Bgroup_id%7D/withdrawals?cycle=upcoming")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://https/rotating_groups/%7Bgroup_id%7D/withdrawals?cycle=upcoming")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://https/rotating_groups/%7Bgroup_id%7D/withdrawals?cycle=upcoming', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://https/rotating_groups/%7Bgroup_id%7D/withdrawals?cycle=upcoming");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://https/rotating_groups/%7Bgroup_id%7D/withdrawals?cycle=upcoming")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```